Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TGroupingExpressionItemList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParseTreeNodeList
              gudusoft.gsqlparser.nodes.TGroupingExpressionItemList

All Implemented Interfaces:
  Visitable

    public class TGroupingExpressionItemList

extends TParseTreeNodeList

List of TGroupingExpressionItem.

See Also:
  `TGroupingExpressionItem`

Constructor Summary
`TGroupingExpressionItemList()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `addGroupingExpressionItem(TGroupingExpressionItem GroupingExpressionItem)`
`TGroupingExpressionItem` | `getGroupingExpressionItem(int position)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNodeList
`addElement, addNode, doParse, elementAt, getElement, getEndToken, getStartToken, init, removeElement, removeElementAt, size, TParseTreeNodeList`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TGroupingExpressionItemList

    public TGroupingExpressionItemList()

Method Detail

### addGroupingExpressionItem

    public void addGroupingExpressionItem(TGroupingExpressionItem GroupingExpressionItem)

### getGroupingExpressionItem

    public TGroupingExpressionItem getGroupingExpressionItem(int position)

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD